pw_memmap Struct Reference
Utilities » Memory Blocks

a mapped region of a pw_memblock More...

## Data Fields

struct pw_memblock * | block
| owner memblock More...
void * | ptr
| mapped pointer More...
uint32_t | flags
| flags for the mapping on of enum pw_memmap_flags More...
uint32_t | offset
| offset in memblock More...
uint32_t | size
| size in memblock More...
uint32_t | tag [5]
| user tag More...

## Detailed Description

a mapped region of a pw_memblock

## Field Documentation

## block

struct pw_memblock* pw_memmap::block

owner memblock

## ptr

void* pw_memmap::ptr

mapped pointer

## flags

uint32_t pw_memmap::flags

flags for the mapping on of enum pw_memmap_flags

## offset

uint32_t pw_memmap::offset

offset in memblock

## size

uint32_t pw_memmap::size

size in memblock

## tag

uint32_t pw_memmap::tag[5]

user tag

The documentation for this struct was generated from the following file:

- pipewire/mem.h